%define majver %(echo %version | cut -d. -f1-2)

Name:          kirigami-addons
Version:       1.0.1
Release:       1mamba
Summary:       Set of widgets i.e visual end user components along with a code to support them
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/stable/kirigami-addons/kirigami-addons-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
Set of widgets i.e visual end user components along with a code to support them.

%debug_package

%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_libdir}/qt6/qml/org/kde/kirigamiaddons
%{_libdir}/qt6/qml/org/kde/kirigamiaddons/*
%dir %{_libdir}/cmake/KF6KirigamiAddons
%{_libdir}/cmake/KF6KirigamiAddons/KF6KirigamiAddons*.cmake

%changelog
* Sat Mar 02 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Tue Jan 30 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.90-1mamba
- update to 0.11.90

* Thu Aug 17 2023 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Mon Jul 24 2023 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2023 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2023 Automatic Build System <autodist@mambasoft.it> 0.7.2-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Sun Feb 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- package created using the webbuild interface
